Bug 1019052 (CVE-2013-4424)

Summary: CVE-2013-4424 GateIn: XSS due to improper url escaping
Product: [Other] Security Response Reporter: Arun Babu Neelicattu <aneelica>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bdawidow, djorm, grocha, hfnukal, jpallich, lponce, security-response-team, theute, tkonishi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131216,reported=20131011,source=redhat,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,jpp-6/Portal=affected,epp-5/Portal=wontfix,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-16 14:12:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1019057, 1031533    
Bug Blocks: 1019054    

Description Arun Babu Neelicattu 2013-10-15 01:38:58 EDT
Multiple cross-site scripting (XSS) flaws were found in the GateIn component caused by the improper escaping of single quotation marks in the URL. A remote attacker could provide a specially-crafted URL that, when visited, would lead to arbitrary HTML or web script injection.
Comment 3 Arun Babu Neelicattu 2013-10-21 09:02:50 EDT
Acknowledgements:

Red Hat would like to thank Cloud Technology Development Department, Ricoh Company, Ltd. for reporting this issue.
Comment 4 errata-xmlrpc 2013-12-16 13:23:44 EST
This issue has been addressed in following products:

  Red Hat JBoss Portal 6.1.0

Via RHSA-2013:1843 https://rhn.redhat.com/errata/RHSA-2013-1843.html